Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336046 - s3cmd-1.6.1-1.el7 cannot import name StatsInfo on EL7
Summary: s3cmd-1.6.1-1.el7 cannot import name StatsInfo on EL7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: s3cmd
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 21:58 UTC by Sean
Modified: 2018-12-04 11:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-04 11:14:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Sean 2016-05-13 21:58:28 UTC
Description of problem:
On CentOS 7, s3cmd-1.6.1-1.el7, does not work when installed from EPEL.


Version-Release number of selected component (if applicable):

1.6.1-1

How reproducible:

100%

Steps to Reproduce:
1. yum install s3cmd
2. s3cmd

Actual results:

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
    An unexpected error has occurred.
  Please try reproducing the error using
  the latest s3cmd code from the git master
  branch found at:
    https://github.com/s3tools/s3cmd
  and have a look at the known issues list:
    https://github.com/s3tools/s3cmd/wiki/Common-known-issues-and-their-solutions
  If the error persists, please report the
  following lines (removing any private
  info as necessary) to:
   s3tools-bugs@lists.sourceforge.net

Error loading some components of s3cmd (Import Error)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Invoked as: /bin/s3cmd
Problem: ImportError: cannot import name StatsInfo
S3cmd:   1.5.1.2
python:   2.7.5 (default, Nov 20 2015, 02:00:19)
[GCC 4.8.5 20150623 (Red Hat 4.8.5-4)]
environment LANG=en_US.UTF-8

Traceback (most recent call last):
  File "/bin/s3cmd", line 2908, in <module>
    from S3.Progress import Progress, StatsInfo
ImportError: cannot import name StatsInfo

Your sys.path contains these entries:
	/usr/bin
	/usr/lib/python2.7/site-packages/setuptools-12.0.5-py2.7.egg
	/usr/lib/python2.7/site-packages/s3cmd-1.5.1.2-py2.7.egg
	/usr/lib/python2.7/site-packages/python_dateutil-2.5.3-py2.7.egg
	/usr/lib64/python27.zip
	/usr/lib64/python2.7
	/usr/lib64/python2.7/plat-linux2
	/usr/lib64/python2.7/lib-tk
	/usr/lib64/python2.7/lib-old
	/usr/lib64/python2.7/lib-dynload
	/usr/lib64/python2.7/site-packages
	/usr/lib64/python2.7/site-packages/gtk-2.0
	/usr/lib/python2.7/site-packages
Now the question is where have the s3cmd modules been installed?

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
    An unexpected error has occurred.
  Please try reproducing the error using
  the latest s3cmd code from the git master
  branch found at:
    https://github.com/s3tools/s3cmd
  and have a look at the known issues list:
    https://github.com/s3tools/s3cmd/wiki/Common-known-issues-and-their-solutions
  If the error persists, please report the
  above lines (removing any private
  info as necessary) to:
   s3tools-bugs@lists.sourceforge.net
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Expected results:

No error

Additional info:

Comment 1 Frank Crawford 2018-12-04 11:14:36 UTC
As this bug is now over 2 years old and s3cmd is now at s3cmd-2.0.2-1, I am going to close this report.

Please test with the latest version and if it still exists, submit a new report.


Note You need to log in before you can comment on or make changes to this bug.